tokyocabinet (1.4.48-13build1) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:25:46 +0200

tokyocabinet (1.4.48-13) unstable; urgency=medium

  [ Tobias Frost ]
  * Update copyright years.
  * Using debhelper-compat instead of d/compat, and bump to level 12.
  * Fix debian-watch-uses-insecure-uri
  * Bump SV to 4.5.0. Changes:
    - Make homepage using https:// in d/control.
    - Employ Root-Requires-Root: no

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces


 -- Tobias Frost <tobi@debian.org>  Wed, 01 Apr 2020 18:47:13 +0200

tokyocabinet (1.4.48-12) unstable; urgency=medium

  * Package cleanup:
    - remove unused patches.
  * Move repository to salsa.d.o.
  * Bump compat level to 11.
  * Bump S-V to 4.1.3.
    - Priority-extra is removed, replace with optional.
    - Lower priority of lib package to optional as well.
  * Fix spelling error in 0012-fix_segv_tcbsdecode.patch.
  * Remove override for automatic dbg-package, as stretch has now been
    released.
  * Remove B-D on autotools-dev, not needed
  * Remove --parallel from d/rules, not needed with modern debhelpers
  * Fix some more spelling errors in the manpage.
  * Refreshed 0002-Avoid-LDENV-to-avoid-rpaths.patch.

 -- Tobias Frost <tobi@debian.org>  Thu, 05 Apr 2018 00:40:27 +0200

tokyocabinet (1.4.48-11) unstable; urgency=medium

  * Add Multiarch-Hints to
     - libtokyocabinet-doc (foreign)
     - libtokyocabinet-dev (same)
  * Bump S-V to 3.9.8 -- no changes required
  * Change compat level to 10.
  * Update copyright years for Debian packaging

 -- Tobias Frost <tobi@debian.org>  Mon, 17 Oct 2016 21:38:00 +0200

tokyocabinet (1.4.48-10) unstable; urgency=medium

  * Upload to unstable

 -- Tobias Frost <tobi@debian.org>  Mon, 15 Feb 2016 11:41:09 +0100

tokyocabinet (1.4.48-9) experimental; urgency=medium

  * Forgot to push d/rules to set -fno-expensive-optimizations.

 -- Tobias Frost <tobi@debian.org>  Sun, 14 Feb 2016 13:44:47 +0100

tokyocabinet (1.4.48-8) experimental; urgency=medium

  * Goes to experimental to test those changes on the buildd first.
  * User sched_yield() instead of sleeping 20ms on glibc-based systems,
    thanks to Samuel Thibault for the patch and Svante Signell for testing
    (Closes: #814500)
  * Revert the change of -7 in favour to disable the offending optimization, as
    the this might also subtly break on other sides. Refer to #813858 for
    details.
  * Ensure that custom compiler and linker flags are not overwritten
    (patch 0014_dont_overwrite_cflags_cppflags_ldflags.patch)

 -- Tobias Frost <tobi@debian.org>  Sun, 14 Feb 2016 12:33:29 +0100

tokyocabinet (1.4.48-7) unstable; urgency=medium

  * Fix testsuite on certain archs: Seems that gcc optimized too much,
    hinting it that memcpy() might change memory fixes that. (Closes: #813880)

 -- Tobias Frost <tobi@debian.org>  Sat, 06 Feb 2016 14:51:35 +0100

tokyocabinet (1.4.48-6) unstable; urgency=medium

  * Enable race-condition detection. Closes: #812796

 -- Tobias Frost <tobi@debian.org>  Sat, 06 Feb 2016 09:49:05 +0100

tokyocabinet (1.4.48-5) unstable; urgency=medium

  * Enable parallel build (Closes: #812799)

 -- Tobias Frost <tobi@debian.org>  Wed, 27 Jan 2016 07:54:21 +0100

tokyocabinet (1.4.48-4) unstable; urgency=medium

  * d/control: Dropping -dbg package (in favour of automatic dbgsym packages)
  * d/rules: Remove unneeded clean target

 -- Tobias Frost <tobi@debian.org>  Sat, 02 Jan 2016 12:01:42 +0100

tokyocabinet (1.4.48-3) unstable; urgency=medium

  * d/control: Update VCS-* fields as the repositories moved to collab-maint
  * Do not use depreciated hardening-wrapper and switch to dpkg-buildflags
  * Fix some errors in d/copyright
  * Bump S-V to 3.9.6 -- no changes
  * Remove explicit Pre-Depend on multiarch-support, as this is handled by
    Misc:Pre-Depends already
  * Add linking option as-needed to avoid unnecessary dependencies

 -- Tobias Frost <tobi@debian.org>  Fri, 03 Oct 2014 11:00:13 +0200

tokyocabinet (1.4.48-2) unstable; urgency=low

  * Fix "[Mayhem] Bug report on tokyocabinet-bin: tcucodec crashes with exit
    status 139": New patch 0012-fix_segv_tcbsdecode.patch  (Closes: #716716)
  * Change tokyocabinet-dbg to Multiarch:same

 -- Tobias Frost <tobi@coldtobi.de>  Fri, 12 Jul 2013 00:35:15 +0200

tokyocabinet (1.4.48-1) unstable; urgency=low

  * New upstream release
  * Enable hardening
  * Add watchfile (Closes: #697555)
  * Enable parallel build
  * Bump S-V to 3.9.4, no changes necessary

 -- Tobias Frost <tobi@coldtobi.de>  Wed, 15 May 2013 23:10:28 +0200

tokyocabinet (1.4.47-2) unstable; urgency=low

  * Package is now maintained in an new git repository.
  * Set package priority of libtokyocabinet-dev to extra.
  * Add Multi-Arch support
  * Set d/compat 9
  * Cleanup d/rules

 -- Tobias Frost <tobi@coldtobi.de>  Mon, 30 Apr 2012 13:52:17 +0200

tokyocabinet (1.4.47-1) unstable; urgency=low

  * New maintainer. (Closes: #650830)
  * new upstream release (Closes: #578745)
  * Removed patch 0004-Cherry-pick-alignment-fixes-from-1.4.38.patch
  * Refreshed patch 0002-Avoid-LDENV-to-avoid-rpaths.patch
  * Rewrote 0006-disable-UBC-feature-on-hppa-since-it-causes-test-
    sui.patch

 -- Tobias Frost <tobi@coldtobi.de>  Mon, 12 Mar 2012 09:59:59 +0100

tokyocabinet (1.4.37-9) unstable; urgency=low

  * QA upload.
  * Fix for SIGBUS applied also for mips (Closes: #659554)
  * Re-enabled test suite on armel (Closes: #661685)
  * Lintian fixes for
      - no-homapege-field
      - copyright-refers-to-symlink-license
  * As upstream does not use sf.net for releases anymore, removing
    the watchfile. Adding a lintian override for this.
  * Bumped S-V to 3.9.3, only change required was to update
    debian/copyright
  * Do not install docs a second time under /usr/share/tokyocabinet.

 -- Tobias Frost <tobi@coldtobi.de>  Thu, 01 Mar 2012 11:14:14 +0100

tokyocabinet (1.4.37-8) unstable; urgency=low

  * QA upload.
  * Fix for SIGBUS on mipsel. (Closes: #659554)
  * Extending several package descriptions, as they were too short
    (fixes lintian informational warnings)
  * Renamed patches to have same naming scheme

 -- Tobias Frost <tobi@coldtobi.de>  Wed, 29 Feb 2012 08:30:02 +0100

tokyocabinet (1.4.37-7) unstable; urgency=low

  * QA upload
  * Orphaned for more than 14 days: Setting maintainer to QA.
  * Disable pthread support on s390x (Closes: #638625)
  * Do not use msync-syscall on hurd (Closes: #659510)
  * update -dbg Package description (Closes: #596502)
  * Fixes lintian warning "manpage-section-mismatch"
  * Fixes lintian warning "debug-package-should-be-priority-extra"
    on libtokyocabinet-dbg

 -- Tobias Frost <tobi@coldtobi.de>  Sat, 11 Feb 2012 19:22:42 +0100

tokyocabinet (1.4.37-6.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/control: switch Priority to standard (Closes: 609115)
  * debian/patches:
    + 0007-fix-FTBFS-with-binutils-gold.patch (Closes: 556496)

 -- Antonio Radici <antonio@dyne.org>  Sat, 23 Apr 2011 10:09:15 +0100

tokyocabinet (1.4.37-6) unstable; urgency=high

  * Woops, the test-suite was incorrectly disabled, enable it again.
  * Bump the urgency to high as this fixes the last RC issue of the package
    (unbuildable on s390). The RC bug isn't closed as it isn't really an
    tokyocabinet bug but likely a glibc one (see #555540).

 -- Pierre Habouzit <madcoder@debian.org>  Wed, 19 May 2010 23:36:27 +0200

tokyocabinet (1.4.37-5) unstable; urgency=low

  * Move to debhelper 7.
  * Switch to dpkg-source 3.0 (quilt) format
  * Disable pthread support on s390, hopefully fixing the test-suite for now.

 -- Pierre Habouzit <madcoder@debian.org>  Wed, 19 May 2010 23:21:30 +0200

tokyocabinet (1.4.37-4) unstable; urgency=high

  * Disable the test-suite on armel until the buildds kernels are fixed.

 -- Pierre Habouzit <madcoder@debian.org>  Sun, 07 Feb 2010 11:14:51 +0100

tokyocabinet (1.4.37-3) unstable; urgency=low

  * The "succeeding in contacting upstream helps" upload:
    + Add upstream patch Fix FTBFS on sparc.
    + Disable UCB on hppa (Closes: #531993) as upstream suggests.

 -- Pierre Habouzit <madcoder@debian.org>  Thu, 12 Nov 2009 12:59:30 +0100

tokyocabinet (1.4.37-2) unstable; urgency=low

  * Add patches/0004-Cherry-pick-alignment-fixes-from-1.4.38.patch to try to
    fix SIGBUSes on sparc and hppa.
  * Fix section for libtokyocabinet-dbg (Use debug).

 -- Pierre Habouzit <madcoder@debian.org>  Tue, 10 Nov 2009 21:57:05 +0100

tokyocabinet (1.4.37-1) unstable; urgency=low

  * New upstream release (Closes: #508835, #530966).
  * Add debian/watch file thanks to Chris Lamb.
  * Add patches/0003-Readd-alias-symbols-for-tcmpoolput-APIS.patch to avoid
    ABI bump.
  * Move tokyocabinet packaging to collab-maint.

 -- Pierre Habouzit <madcoder@debian.org>  Sun, 08 Nov 2009 16:12:00 +0100

tokyocabinet (1.4.23-1) unstable; urgency=low

  * New upstream release.
  * Update symbols file.

 -- Pierre Habouzit <madcoder@debian.org>  Sat, 30 May 2009 17:46:41 +0200

tokyocabinet (1.4.14-2) unstable; urgency=low

  * Upload to unstable this time.

 -- Pierre Habouzit <madcoder@debian.org>  Tue, 14 Apr 2009 00:16:18 +0200

tokyocabinet (1.4.14-1) experimental; urgency=low

  * New upstream release.
  * Add missing build-depend on libbz2-dev (Closes: #505317).
  * Fix package installation of manpages (Closes: #506948).
  * Bump soname (libtokyocabinet8).

 -- Pierre Habouzit <madcoder@debian.org>  Mon, 13 Apr 2009 14:22:02 +0200

tokyocabinet (1.3.15-2) experimental; urgency=low

  * Add patches/0003-remove-HOME-use-in-CPPFLAGS-and-friends.patch to make
    tokyocabinet build again. (Closes: #505171).

 -- Pierre Habouzit <madcoder@debian.org>  Tue, 11 Nov 2008 08:15:12 +0100

tokyocabinet (1.3.15-1) experimental; urgency=low

  * New upstream release (Closes: #489784).
  * Rename library packages for soname bump (3 -> 5).
  * Update symbols file.
  * Bump standards version to 3.8.0 (No changes required).

 -- Pierre Habouzit <madcoder@debian.org>  Mon, 03 Nov 2008 15:46:49 +0100

tokyocabinet (1.2.1-1) unstable; urgency=low

  * New upstream release.
  * Bump packages sonames (libtokyocabinet2 -> libtokyocabinet3).
  * Update symbols file.

 -- Pierre Habouzit <madcoder@debian.org>  Sun, 06 Apr 2008 11:20:19 +0200

tokyocabinet (1.1.15-2) unstable; urgency=low

  * debian/rules: use proper dbg package name.

 -- Pierre Habouzit <madcoder@debian.org>  Sun, 24 Feb 2008 14:11:24 +0100

tokyocabinet (1.1.15-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
     + Remove soname from -dbg package name.
     + Rename libtokyocabinet1 into libtokyocabinet2.
  * Refresh patches:
     + drop 0003-debian-packaging-refresh-autotools.patch, upstream autotools
       are up to date.

 -- Pierre Habouzit <madcoder@debian.org>  Sun, 24 Feb 2008 11:25:01 +0100

tokyocabinet (1.1.10-2) unstable; urgency=high

  * libtokyocabinet-dev.install: wildcard /usr/include/*.h to install _every_
    headers (Closes: 463057).
  * Bump urgency to high as 10-1 with a missing header migrated to testing and
    needs the missing header badly.

 -- Pierre Habouzit <madcoder@debian.org>  Tue, 29 Jan 2008 19:23:28 +0100

tokyocabinet (1.1.10-1) unstable; urgency=low

  * New upstream release.
  * Bump shlibs for new symbols.

 -- Pierre Habouzit <madcoder@debian.org>  Thu, 17 Jan 2008 23:09:15 +0100

tokyocabinet (1.1.7-1) unstable; urgency=low

  * New upstream release.
  * Bump shlibs for new symbols.

 -- Pierre Habouzit <madcoder@debian.org>  Thu, 03 Jan 2008 09:59:55 +0100

tokyocabinet (1.1.6-2) unstable; urgency=low

  * That was aimed at unstable in the first place…

 -- Pierre Habouzit <madcoder@debian.org>  Tue, 25 Dec 2007 18:53:37 +0100

tokyocabinet (1.1.6-1) experimental; urgency=low

  * New upstream release.
  * Refresh Avoid-LDENV-to-avoid-rpaths.patch for the new binary.
  * debian/libtokyocabinet1.symbols:
     + remove the debian revisions from the package versions.
     + update file with new symbols, bump shlibs.
  * debian/rules:
     + honour DEB_BUILD_OPTIONS=noopt.
     + honour DEB_BUILD_OPTIONS=nocheck.

 -- Pierre Habouzit <madcoder@debian.org>  Tue, 25 Dec 2007 10:18:01 +0100

tokyocabinet (1.1.4-1) experimental; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.7.3, no changes required.
  * Bump shlibs for new symbols.

 -- Pierre Habouzit <madcoder@debian.org>  Wed, 19 Dec 2007 11:55:27 +0100

tokyocabinet (1.1.3-1) experimental; urgency=low

  * New upstream release.
  * Add a symbols files (fake one from 1.1.0-2 for that matter).
  * Bump shlibs for new symbols.
  * Upload to experimental given my high confidence in the whole system.

 -- Pierre Habouzit <madcoder@debian.org>  Mon, 17 Dec 2007 11:39:46 +0100

tokyocabinet (1.1.0-2) unstable; urgency=low

  * Upload to unstable, stupid dch tricked me :P

 -- Pierre Habouzit <madcoder@debian.org>  Sat, 08 Dec 2007 11:25:45 +0100

tokyocabinet (1.1.0-1) experimental; urgency=low

  * New upstream release, bump shlibs for new symbol.
  * Add Avoid-LDENV-to-avoid-rpaths.patch to fix the build system avoiding
    rpaths.

 -- Pierre Habouzit <madcoder@debian.org>  Fri, 07 Dec 2007 11:32:13 +0100

tokyocabinet (1.0.9-2) experimental; urgency=low

  * Make the testsuite fail the build as it passes on i386.

 -- Pierre Habouzit <madcoder@debian.org>  Thu, 06 Dec 2007 12:56:08 +0100

tokyocabinet (1.0.9-1) experimental; urgency=low

  * New upstream release.
  * Run the testsuite.

 -- Pierre Habouzit <madcoder@debian.org>  Thu, 06 Dec 2007 10:06:22 +0100

tokyocabinet (1.0.8-1) unstable; urgency=low

  * New upstream release.
  * Remove pthread_mutex_rdlock patch: merged upstream.

 -- Pierre Habouzit <madcoder@debian.org>  Wed, 28 Nov 2007 22:31:49 +0100

tokyocabinet (1.0.6-3) unstable; urgency=low

  * debian/rules: don't let my maintainer tricks make the package FTBFS on an
    atobuilder.

 -- Pierre Habouzit <madcoder@debian.org>  Fri, 23 Nov 2007 23:36:51 +0100

tokyocabinet (1.0.6-2) unstable; urgency=low

  * (debian/rules): use --enable-swab so that db files are portable.
  * packaging:
      + use pristine-tar to store deltas.
      + to make pristine-tar use possible, have an upstream+patches branch
        that is used to generate a debian/patches queue.

 -- Pierre Habouzit <madcoder@debian.org>  Fri, 23 Nov 2007 21:46:04 +0100

tokyocabinet (1.0.6-1) unstable; urgency=low

  * Initial release (Closes: 452073).

 -- Pierre Habouzit <madcoder@debian.org>  Tue, 20 Nov 2007 10:08:42 +0100
